<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateReleventProductTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('relevent_product', function (Blueprint $table) {
            $table->id();
            $table->bigInteger('parent_product')->nullable()->unsigned();
            $table->foreign('parent_product')->references('id')->on('products');
            $table->bigInteger('child_product')->nullable()->unsigned();
            $table->foreign('child_product')->references('id')->on('products');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('relevent_product');
    }
}
